@echo OFF
rem  * *******************************************************************
rem  *               NBRPK3W8.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Record Sequential Data Set
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The 1ST step will map the logical file name used by the program
rem  * to the fully-qualified physical file name.
rem  * The 2ND step will create a new test file.
rem  * The 3RD step will read the test file and create a HEX-Dump file.
rem  *
rem  * This set of programs will run on a Windows System with Micro Focus
rem  * Enterprise Developer.
rem  *
     set CmdName=NBRPK3W8
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
rem  * *******************************************************************
rem  * Step 1 of 3, Prepare the environment...
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, User is %USERNAME%"
     call SimoNOTE "StepInfo Delete previously created files"
     set SYSUT2=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.NBRPK3D1.DAT
     if exist %SYSUT2% del %SYSUT2%
     set JobStatus=0000
rem  *
rem  * *******************************************************************
rem  * Step 2 of 3, Create and populate a new RSEQ file...
rem  *
     call SimoNOTE "StepInfo Create the Record Sequential File"
     run NBRPK3C8
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
     call SimoNOTE "DataMake %SYSUT2%"
rem  *
rem  * *******************************************************************
rem  * Step 3 of 3, Hex Dump of the RSEQ file...
rem  *
     call SimoNOTE "StepInfo HEX-Dump of the Record Sequential File"
     set SYSUT1=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.NBRPK3D1.DAT
     set SYSUT2=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.NBRPK3D2.DAT
     run HX80DUMP
     if not "%ERRORLEVEL%" == "0" set JobStatus=0020
     if not "%JobStatus%" == "0000" goto :EojNOK
     call SimoNOTE "DataTake %SYSUT1%"
     call SimoNOTE "DataMake %SYSUT2%"
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
